﻿using UnityEngine;

[RequireComponent(typeof(Player))]
public class PlayerInput : MonoBehaviour
{
	private Player player;

	public string moveHorizontalInput = "Horizontal_P1";
	public string moveVerticalInput = "Vertical_P1";
	public string jumpButton = "Jump_P1";

	private Animator animator;

	private void Start()
	{
		Cursor.visible = false;
		player = GetComponent<Player>();

		animator = GetComponent<Animator> ();
	}

	private void Update()
	{
		Vector2 directionalInput = new Vector2(Input.GetAxisRaw(moveHorizontalInput), Input.GetAxisRaw(moveVerticalInput));
		player.SetDirectionalInput(directionalInput);

		animator.SetInteger ("Directional Input", (int)directionalInput.x);

		if (Input.GetButtonDown(jumpButton))
		{
			player.OnJumpInputDown();
			animator.SetBool ("JumpPressed", true);
		}

		if (Input.GetButtonUp(jumpButton))
		{
			player.OnJumpInputUp();
			animator.SetBool ("JumpPressed", true);
		}
	}
}
