﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Projectile : MonoBehaviour 
{
	private PlayerManager playerReference;
	private Controller2D controller2D;
	private PlayerInput player;
	private Shoot playerShooting;
	private UIManager UI;

	private AudioSource death;
	private Animator animator;

	public float speed;

	public bool shot;

	void Start()
	{
		playerReference = GameObject.Find("Player Manager").GetComponent<PlayerManager>();
		controller2D = GameObject.Find(playerReference.whoFiredReference).GetComponent<Controller2D>();
		player = GameObject.FindGameObjectWithTag("Player").GetComponent<PlayerInput>();
		playerShooting = GameObject.FindGameObjectWithTag("Player").GetComponent<Shoot>();
		UI = GameObject.Find ("UI").GetComponent<UIManager>();

		animator = controller2D.GetComponent<Animator> ();
		death = GameObject.Find ("Dead").GetComponent<AudioSource> ();	

		CheckDirection ();
	}

	void FixedUpdate()
	{
		if (controller2D.collisions.faceDir <= 0) 
		{
			if (gameObject.CompareTag ("Tube_Projectile"))
				GetComponent<Rigidbody2D> ().rotation += 650.0f * Time.deltaTime;
		}
		if (controller2D.collisions.faceDir >= 0) 
		{
			if (gameObject.CompareTag ("Tube_Projectile"))
				GetComponent<Rigidbody2D> ().rotation -= 650.0f * Time.deltaTime;
		}
	}

	void CheckDirection()
	{		 		
		if (controller2D.collisions.faceDir <= 0) 
		{
			GetComponent<SpriteRenderer> ().flipX = true;
			GetComponent<Rigidbody2D>().velocity = new Vector2 (-speed, GetComponent<Rigidbody2D>().velocity.y);
		}			
		if (controller2D.collisions.faceDir >= 0) 
		{
			GetComponent<SpriteRenderer> ().flipX = false;
			GetComponent<Rigidbody2D>().velocity = new Vector2 (speed, GetComponent<Rigidbody2D>().velocity.y);		
		}			
	}

	void OnCollisionEnter2D(Collision2D other) 
	{
		if ((!other.gameObject.name.Equals (playerReference.whoFiredReference)) && other.gameObject.CompareTag("Player"))
		{
			death.Play ();
			Destroy (other.gameObject);
			animator.SetBool ("Attack", false);
			UI.WinnerDisplay (playerReference.whoFiredReference);
			UI.canRespawn = true;
			player.enabled = false;
			playerShooting.enabled = false;	
		} 			
		Destroy (gameObject);
		animator.SetBool ("Attack", false);
	}
}
