﻿using UnityEngine;
using System.Collections;

public class Shoot : MonoBehaviour
{
	public Controller2D player;
	public Projectile projectileScript;

	public Transform throwPoint;
	public GameObject projectile; 

	public string fireButton = "Fire_P1";
	public static string whoFired;

	private GameObject[] transmissions;

	private int projectileNum;

	private Animator animator;

	public bool p1;
	public bool p2;

	private bool shootOnce = true;

	void Start()
	{
		transmissions = GameObject.FindGameObjectsWithTag ("Transmission SFX");

		animator = GetComponent<Animator> ();
	}

	void Update()
	{
		if(p1)
			projectileNum = GameObject.FindGameObjectsWithTag ("Sound_Projectile").Length;
		if(p2)
			projectileNum = GameObject.FindGameObjectsWithTag ("Tube_Projectile").Length;

		if (player.collisions.faceDir >= 0) 
		{
			throwPoint.localPosition = new Vector3 (1.5f, 0.0f, 0.0f);
			GetComponent<SpriteRenderer> ().flipX = false;
		}			
		if (player.collisions.faceDir <= 0) 
		{
			throwPoint.localPosition = new Vector3 (-1.5f, 0.0f, 0.0f);
			GetComponent<SpriteRenderer> ().flipX = true;
		}			
		if (Input.GetButtonDown (fireButton) && shootOnce) 
		{
			whoFired = gameObject.name;		
			if (projectileNum < 2) 
			{
				StartCoroutine (ThrowPiece ());			
				shootOnce = false;
			}				
		}				
	}

	IEnumerator ThrowPiece()
	{	
		animator.SetBool ("Attack", true);
		transmissions [Random.Range (0, transmissions.Length)].GetComponent<AudioSource> ().Play ();
		GameObject shot = Instantiate (projectile, throwPoint.position, throwPoint.rotation) as GameObject;
		yield return new WaitForSeconds (0.5f);
		shootOnce = true;
		yield return new WaitForSeconds (1.0f);
		animator.SetBool ("Attack", false);
	}    		
}
