﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class UIManager : MonoBehaviour
{
	private AudioSource cursorFX;
	private AudioSource selectFX;
	private AudioSource backFX;
	private AudioSource score;
	private AudioSource battle;
	private AudioSource title;

	public Image cursorYes; 
	public Image cursorNo; 

	public Text winnerText; 
	public GameObject winnerPanel; 

	public string acceptButton = "Accept_P1";
	public string dPadAxis = "D-Pad_P1"; 
	public string moveVerticalAxis = "Vertical_P1";

	private bool panel = false;
	private bool playOnce = true;
	public bool canRespawn = false;

	void Start()
	{
		cursorYes.enabled = true; 
		cursorNo.enabled = false;

		selectFX = GameObject.Find ("Menu Select").GetComponent<AudioSource> ();
		cursorFX = GameObject.Find ("Menu Cursor").GetComponent<AudioSource> ();
		backFX = GameObject.Find ("Menu Back").GetComponent<AudioSource> ();
		score = GameObject.Find ("Score").GetComponent<AudioSource> ();
		battle = GameObject.Find ("Battle").GetComponent<AudioSource> ();
		title = GameObject.Find ("Title Music").GetComponent<AudioSource> ();
	}

	void Update()
	{
		if (Input.GetAxisRaw (dPadAxis) == 0 && Input.GetAxisRaw (moveVerticalAxis) == 0)
			playOnce = true;

		if (Input.GetAxisRaw (dPadAxis) < 0 || Input.GetAxisRaw (moveVerticalAxis) < 0 && panel) 
		{
			cursorYes.enabled = true;
			cursorNo.enabled = false;
			if (playOnce) 
			{
				cursorFX.Play ();
				playOnce = false;
			}
		} 

		if(Input.GetAxisRaw(dPadAxis) > 0 || Input.GetAxisRaw (moveVerticalAxis) > 0 && panel)
		{
			cursorYes.enabled = false;
			cursorNo.enabled = true;
			if (playOnce) 
			{
				cursorFX.Play ();
				playOnce = false;
			}
		}

		if (cursorYes.enabled && Input.GetButtonDown (acceptButton) && canRespawn)
		{
			selectFX.Play ();
			SceneManager.LoadScene ("Game", LoadSceneMode.Single);
			score.Stop ();
			battle.Play ();
			panel = false;
			canRespawn = false;
		}			
		if (cursorNo.enabled && Input.GetButtonDown (acceptButton)) 
		{
			backFX.Play ();
			SceneManager.LoadScene ("Main Menu");
			score.Stop ();
			title.Play ();
			panel = false;
		}		
	}

	public void WinnerDisplay(string winnerName)
	{		
		winnerPanel.SetActive (true);
		panel = true;
		battle.Stop();
		score.Play ();
		winnerText.text = "Winner is " + winnerName; 
	}
}
